Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class MessageType

    java.lang.Object
      com.sun.tdk.signaturetest.errors.MessageType

All Implemented Interfaces:
  java.lang.Comparable

    public class MessageType

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static MessageType` | `ADD_ANNO`
`static MessageType` | `ADD_CLASSES`
`static MessageType` | `ADD_CONSTRUCTORS`
`static MessageType` | `ADD_FLD`
`static MessageType` | `ADD_METHS`
`static MessageType` | `ADD_NESTED_CLASSES`
`static MessageType` | `ADD_SUPCLASSES`
`static MessageType` | `CHNG_CLASSES_MEMBERS`
`static MessageType` | `CHNG_SUPCLASSES_TOPOL`
`static MessageType` | `ERROR_LINKERR`
`static MessageType` | `ERROR_UNKNOWN`
`static MessageType` | `MISS_ANNO`
`static MessageType` | `MISS_CLASSES`
`static MessageType` | `MISS_CONSTRUCTORS`
`static MessageType` | `MISS_FIELDS`
`static MessageType` | `MISS_METHS`
`static MessageType` | `MISS_NESTED_CLASSES`
`static MessageType` | `MISS_SUPERCLASSES`

Constructor Summary
`MessageType(java.lang.String key, int id)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`static MessageType` | `getAddedMessageType(MemberType type)`
`static MessageType` | `getMissingMessageType(MemberType type)`
`int` | `hashCode()`
`boolean` | `isWarning()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_UNKNOWN

    public static final MessageType ERROR_UNKNOWN

### MISS_CLASSES

    public static final MessageType MISS_CLASSES

### MISS_NESTED_CLASSES

    public static final MessageType MISS_NESTED_CLASSES

### MISS_SUPERCLASSES

    public static final MessageType MISS_SUPERCLASSES

### MISS_FIELDS

    public static final MessageType MISS_FIELDS

### MISS_CONSTRUCTORS

    public static final MessageType MISS_CONSTRUCTORS

### MISS_METHS

    public static final MessageType MISS_METHS

### ADD_CLASSES

    public static final MessageType ADD_CLASSES

### ADD_NESTED_CLASSES

    public static final MessageType ADD_NESTED_CLASSES

### ADD_SUPCLASSES

    public static final MessageType ADD_SUPCLASSES

### ADD_FLD

    public static final MessageType ADD_FLD

### ADD_CONSTRUCTORS

    public static final MessageType ADD_CONSTRUCTORS

### ADD_METHS

    public static final MessageType ADD_METHS

### ERROR_LINKERR

    public static final MessageType ERROR_LINKERR

### MISS_ANNO

    public static final MessageType MISS_ANNO

### ADD_ANNO

    public static final MessageType ADD_ANNO

### CHNG_SUPCLASSES_TOPOL

    public static final MessageType CHNG_SUPCLASSES_TOPOL

### CHNG_CLASSES_MEMBERS

    public static final MessageType CHNG_CLASSES_MEMBERS

Constructor Detail

### MessageType

    public MessageType(java.lang.String key,
                       int id)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### isWarning

    public boolean isWarning()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMissingMessageType

    public static MessageType getMissingMessageType(MemberType type)

### getAddedMessageType

    public static MessageType getAddedMessageType(MemberType type)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD